Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DimensionConditionHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.DimensionConditionHandle

    public class DimensionConditionHandle

extends StructureHandle

Represents the handle of the cube-dimension/hierarchy join condition.

Primary Keys
  Primary keys define a list of primary key to do the join actions between cube and hierarchy in dimension. Each one in the list must be one of the data set column in data set defined in cube.
Hierarchy
  Hierarchy refers a hierarchy element in one of the dimension in the cube.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`DimensionConditionHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of the cube join condition.

Method Summary
`DimensionJoinConditionHandle` | `addJoinCondition(DimensionJoinCondition joinCondition)` Gets the dimension join condition handle.
`HierarchyHandle` | `getHierarchy()` Gets the referred hierarchy handle of this condition.
`java.lang.String` | `getHierarchyName()` Gets the referred hierarchy name of this condition.
`MemberHandle` | `getJoinConditions()` Gets the member handle to deal with all the `DimensionJoinCondition`.
`void` | `removeJoinCondition(DimensionJoinCondition joinCondition)` Removes join condition from this dimension condition.
`void` | `removeJoinCondition(int index)` Remove the join condition in the specified position.
`void` | `setHierarchy(HierarchyHandle hierarchyHandle)` Sets the referred hierarchy by the handle.
`void` | `setHierarchy(java.lang.String hierarchyName)` Sets the referred hierarchy by the name.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DimensionConditionHandle

    public DimensionConditionHandle(SimpleValueHandle valueHandle,
                                    int index)

  Constructs the handle of the cube join condition.

  Parameters:
    `valueHandle` - the value handle for the cube join condition list of one property
    `index` - the position of this join condition in the list

Method Detail

### getJoinConditions

    public MemberHandle getJoinConditions()

  Gets the member handle to deal with all the `DimensionJoinCondition`.

  Returns:
    the member handle for all the DimensionJoinCondition

### addJoinCondition

    public DimensionJoinConditionHandle addJoinCondition(DimensionJoinCondition joinCondition)
                                                  throws SemanticException

  Gets the dimension join condition handle.

  Parameters:
    `joinCondition` - the join condition.
  Returns:
    the dimension join condition handle.
  Throws:
    `SemanticException`

### removeJoinCondition

    public void removeJoinCondition(DimensionJoinCondition joinCondition)
                             throws SemanticException

  Removes join condition from this dimension condition.

  Parameters:
    `joinCondition` - the join condition to remove
  Throws:
    `SemanticException`

### removeJoinCondition

    public void removeJoinCondition(int index)
                             throws SemanticException

  Remove the join condition in the specified position.

  Parameters:
    `index` - the position where the join condition resides
  Throws:
    `SemanticException`

### getHierarchy

    public HierarchyHandle getHierarchy()

  Gets the referred hierarchy handle of this condition.

  Returns:
    hierarchy handle of this condition if found, otherwise null

### getHierarchyName

    public java.lang.String getHierarchyName()

  Gets the referred hierarchy name of this condition.

  Returns:
    hierarchy name of this condition if set, otherwise null

### setHierarchy

    public void setHierarchy(java.lang.String hierarchyName)
                      throws SemanticException

  Sets the referred hierarchy by the name.

  Parameters:
    `hierarchyName` - the hierarchy name to set
  Throws:
    `SemanticException`

### setHierarchy

    public void setHierarchy(HierarchyHandle hierarchyHandle)
                      throws SemanticException

  Sets the referred hierarchy by the handle.

  Parameters:
    `hierarchyHandle` - the hierarchy handle to set
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.